probe::signal.pending
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.pending — Examining pending signal

## Synopsis

    signal.pending

## Values

`name`

  Name of the probe point

`sigset_add`

  The address of the user-space signal set (sigset_t)

`sigset_size`

  The size of the user-space signal set

## Description

This probe is used to examine a set of signals pending for delivery to a specific thread. This normally occurs when the do_sigpending kernel function is executed.

Prev | Up | Next
probe::signal.handle.return | Home | probe::signal.pending.return